Entrar

Buscar giftcards (callback VTEX)

POST /mdw/vtex/giftcards/_search

VTEX llama este endpoint cuando el cliente llega al paso de pago del checkout. Guper busca al cliente por userEmail y/o userProfileId, calcula el saldo de cashback disponible y devuelve un giftcard virtual por wallet disponible. Llamado por el checkout VTEX, no por las orgs.

Try-it values populated from environment ACME (Demo)


Cuerpo de la petición

Content-Type: application/json

{
    "userEmail": "cliente@example.com",                         // optional
    "userProfileId": "profile-uuid"                             // optional
}

Respuestas

[
    {
        "id": "cashback-wallet-1",
        "redemptionCode": "...",
        "value": 5000,
        "balance": 5000,
        "caption": "Cashback",
        "profileId": "profile-uuid",
        "groupName": "loyalty",
        "provider": "giftcard-provider-guper"
    }
]
Copied to clipboard